Bug 1401438 - GHC 8.0
Summary: GHC 8.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-05 09:22 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:44 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2016-12-05 09:22:33 UTC
This is a tracking bug for Change: GHC 8.0
For more details, see: https://fedoraproject.org//wiki/Changes/GHC_8.0

Update the GHC Haskell compiler in Fedora from version 7.10 to the current stable version 8.0, with much improved support for aarch64, ppc64, and ppc64le.

Comment 1 Jens Petersen 2017-02-27 16:09:36 UTC
This work is nearly done now: 95% of Haskell packages have been updated in f26-ghc.

Comment 2 Fedora End Of Life 2017-02-28 10:43:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Simon Clark 2017-07-03 20:53:30 UTC
I have added release notes text for this change to the draft F26 Release Notes here: https://pagure.io/release-notes/c/2de66b7e938409f8af1aec0fa210681122392cac?branch=f26

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 4 Jens Petersen 2017-07-04 01:00:37 UTC
Thanks, Simon!

Looks good to me


Note You need to log in before you can comment on or make changes to this bug.